Bug 9264 - getncchanges returns invalid_parameters when it should return bad_nc
getncchanges returns invalid_parameters when it should return bad_nc
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 06:53 UTC by Matthieu Patou
Modified: 2012-10-15 09:57 UTC (History)
1 user (show)

See Also:


Attachments
Fix the return code (1.37 KB, patch)
2012-10-13 07:58 UTC, Matthieu Patou
metze: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2012-10-08 06:53:03 UTC

    
Comment 1 Matthieu Patou 2012-10-13 07:58:31 UTC
So the problems boils down the dreplsrv_partition_find_for_nc function that returns the wrong error code.
Comment 2 Matthieu Patou 2012-10-13 07:58:59 UTC
Created attachment 8066 [details]
Fix the return code
Comment 3 Matthieu Patou 2012-10-14 21:14:15 UTC
Karolin, please pick up for rc3.

Thanks
Comment 4 Stefan Metzmacher 2012-10-15 07:02:51 UTC
Comment on attachment 8066 [details]
Fix the return code

Looks good
Comment 5 Karolin Seeger 2012-10-15 09:57:04 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!